<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>ProductApp</title>
    <!-- BOOTSTRAP 4  -->
    <link rel="stylesheet" href="https://bootswatch.com/4/superhero/bootstrap.min.css">
    
  </head>
  <body>

    <!-- BARRA DE NAVEGACIÓN  -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href=".">ProductApp</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto"></ul>
          <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" name="search" id="search" type="search" placeholder="ID, marca o descripción" aria-label="Search">
            <button class="btn btn-success my-2 my-sm-0" type="submit">Buscar</button>
          </form>
      </div>
    </nav>

    <div class="container">
      <div class="row p-4">
        <div class="col-md-5">
          <div class="card">
            <div class="card-body">
              <!-- FORMULARIO PARA AGREGAR PRODUCTO -->
              <form id="product-form">
                <p id="msg"></p>
                <div style="font-size: .85em;" id="msg2">
                  
                </div>
                <div class="form-group">
                  <input class="form-control" type="text" name="nombre" id="name" placeholder="Nombre de producto">
                  <input class="form-control" type="text" placeholder="Precio" name="precio" id="precio">
                  <input class="form-control" type="text" placeholder="Unidades" name="unidades" id="unidades">
                  <input class="form-control" type="text" placeholder="Modelo" name="modelo" id="modelo">
                  <input class="form-control" type="text" placeholder="Marca: Xiaomi, Apple, Samsung, Motorola, Huawei" name="marca" id="marca">
                  <input class="form-control" type="text" placeholder="Detalles" name="detalles" id="detalles">
                  <input class="form-control" type="text" placeholder="Imagen" name="imagen" id="imagen">
                  <input type="hidden" name="productId" id="productId">
                </div>
                
                <button class="btn btn-primary btn-block text-center" type="submit">
                  Agregar Producto
                </button>
              </form>
            </div>
          </div>
        </div>

        <!-- TABLA  -->
        <div class="col-md-7">
          <div class="card my-4" id="product-result">
            <div class="card-body">
              <!-- RESULTADO -->
              <ul id="container"></ul>
            </div>
          </div>

          <table class="table table-bordered table-sm">
            <thead>
              <tr>
                <td>Id</td>
                <td>Nombre</td>
                <td>Descripción</td>
              </tr>
            </thead>
            <tbody id="products"></tbody>
          </table>
        </div>
      </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.min.js"
      integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
      crossorigin="anonymous"></script>
    <!-- Lógica del Frontend -->
    <script src="app.js"></script>
    <script src="validacion.js"></script>
    <script src="validation.js"></script>
  </body>

</html>